# This is a -*- Tcl -*- library script and belongs to the
# `Jumble Library for Tcl and Friends'.
#
# shell.tcl --- Handling subprocesses
#
# Copyright (C) 1996 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
# Version: 0.0a1
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# ----------------------
# Create new debug flags
# ----------------------

juf_dbg_add_flags juf_flags_shell_cmdline

# --------------------------------------
# juf_shell_run - invoke subprocess(es)
# 
# in: 	$args	arguments for `exec'
# out:	1 if successful, 0 otherwise
# --------------------------------------

proc juf_shell_run {args} {
	juf_dbg_out juf_flags_shell_cmdline "Running $args"

	if {[catch "eval exec $args" output] != 0} {
		puts stderr $output
		return 0
	}
	return 1
}	

